import { type AuthProvider, type HttpRequest } from './auth.js';
import { AccessToken, type RefreshTokenCredentials } from './oidc.js';
export declare class OIDCRefreshTokenProvider implements AuthProvider {
    oidcAuth: AccessToken;
    refreshToken?: string;
    constructor({ clientId, refreshToken, oidcOrigin, }: Partial<RefreshTokenCredentials> & Omit<RefreshTokenCredentials, 'exchange'>);
    updateClientPublicKey(signingKey: CryptoKeyPair): Promise<void>;
    withCreds(httpReq: HttpRequest): Promise<HttpRequest>;
}
//# sourceMappingURL=oidc-refreshtoken-provider.d.ts.map