import Header from './models/Header.js';
import Payload from './models/Payload.js';
import Signature from './models/Signature.js';
import EncodingEnum from './enum/EncodingEnum.js';
export default class NanoTDF {
    static Encodings: typeof EncodingEnum;
    static Header: typeof Header;
    static Payload: typeof Payload;
    static Signature: typeof Signature;
    header: Header;
    payload: Payload;
    signature?: Signature;
    static from(content: ArrayBufferLike | string, encoding?: EncodingEnum, legacyTDF?: boolean): NanoTDF;
    constructor(header: Header, payload: Payload, signature?: Signature);
    /**
     * Return the content of nano tdf as binary buffer
     */
    toBuffer(): ArrayBuffer;
    /**
     * Return the content of nano tdf as base64 string
     */
    toBase64(): string;
}
//# sourceMappingURL=NanoTDF.d.ts.map